﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS3000B (1 yr) DCV VISA /5800
INSTRUMENT:            Sub Tek TDS3000B (1 yr) Bandwidth VISA /5800
INSTRUMENT:            Sub Tek TDS3000B (1 yr) Full BW Trig VISA /5800
INSTRUMENT:            Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /5800
INSTRUMENT:            Sub Tek TDS3000B (1 yr) Sample Rate VISA /5800
DATE:                  2011-01-25 09:14:22
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       21
NUMBER OF LINES:       487
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        TDS3000B Series
#           TDS 3012B, TDS 3014B, TDS 3032B, TDS 3034B, TDS 3052B, TDS 3054B
#           TDS 3024B, TDS 3044B, TDS3064B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS3000 Select Channel VISA
#        Sub Tek TDS3000 Trigger Check and Level Adjust VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  VISA         *RST;CLEARM;HEADER OFF;*OPC?[I!]
  1.002  CALL         Sub Tek TDS3000 Select Channel VISA

  1.003  JMPL         DCV                          PSUBI("DCV")
  1.004  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.005  JMPL         TRIGGER_FULL_BW              PSUBI("Full BW Trig")
  1.006  JMPL         TRIGGER_50MHz                PSUBI("50 MHz Trig")
  1.007  JMPL         SAMPLE_RATE                  PSUBI("Sample")
  1.008  DISP         Subprocedure not found!
  1.009  END

  1.010  EVAL   Increment step number

# ********************** DC VOLTAGE ************************************

  2.001  LABEL        DCV
  2.002  HEAD         DC VOLTAGE MEASUREMENT ACCURACY (CH [V @Chan])

  2.003  IF           @Chan == 1
  2.004  RSLT         =
  2.005  RSLT         =DCV MEASUREMENT ACCURACY
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V @Chan]

  2.009  HEAD         -2 1 mV/div
  2.010  TARGET       -p
  2.011  TSET         TDESC = 1 mV/div, 100 mV input
  2.012  VISA         ACQUIRE:MODE AVERAGE;NUMAVG 16
  2.013  VISA         TRIG:MAIN:MODE AUTO;EDGE:SOURCE LINE
  2.014  VISA         MEASU:MEAS1:SOURCE1 CH[V @Chan];TYP MEAN;STATE ON
  2.015  VISA         CH[V @Chan]:SCA 1E-3;INV OFF;BAN TWE;OFFS 96.5E-3
  2.016  5800         100.00mV                                       S6 S
  2.017  WAIT         -t 10 Settling...
  2.018  TARGET       -m
  2.019  VISA         MEASU:MEAS1:VAL?[I]
  2.020  MATH         MEM = MEM / 1E-3
  2.021  MEMCX        100.00mV       -0.75U +0.80U

  3.001  HEAD         -2 2 mV/div
  3.002  TARGET       -p
  3.003  TSET         TDESC = 2 mV/div, -7 mV input
  3.004  VISA         CH[V @Chan]:SCA 2E-3;INV OFF;BAN TWE;OFFS 0
  3.005  5800         -7.000mV                                       S6 S
  3.006  WAIT         -t 10 Settling...
  3.007  TARGET       -m
  3.008  VISA         MEASU:MEAS1:VAL?[I]
  3.009  MATH         MEM = MEM / 1E-3
  3.010  MEMCX        -7.000mV       0.540U

  4.001  HEAD         -2 5 mV/div
  4.002  TARGET       -p
  4.003  TSET         TDESC = 5 mV/div, -100 mV input
  4.004  VISA         CH[V @Chan]:SCA 5E-3;INV OFF;BAN TWE;OFFS -82.5E-3
  4.005  5800         -100.00mV                                      S6 S
  4.006  WAIT         -t 10 Settling...
  4.007  TARGET       -m
  4.008  VISA         MEASU:MEAS1:VAL?[I]
  4.009  MATH         MEM = MEM / 1E-3
  4.010  MEMCX        -100.00mV      -1.80U +1.76U

  5.001  HEAD         -2 50 mV/div, 1 V input
  5.002  TARGET       -p
  5.003  TSET         TDESC = 50 mV/div, 1 V input
  5.004  VISA         CH[V @Chan]:SCA 50E-3;INV OFF;BAN FUL;OFFS 0
  5.005  VISA         CH[V @Chan]:OFFS 825E-3
  5.006  5800         1.0000V                                        S6 S
  5.007  WAIT         -t 4 Settling...
  5.008  TARGET       -m
  5.009  VISA         MEASU:MEAS1:VAL?[I]
  5.010  TOL          -0.0176U  +0.0180U
  5.011  MEMCX        1.0000V        TOL

  6.001  HEAD         -2 50 mV/div, 650 mV input
  6.002  TARGET       -p
  6.003  TSET         TDESC = 50 mV/div, 650 mV input
  6.004  VISA         CH[V @Chan]:SCA 50E-3;INV OFF;BAN FUL;OFFS 0
  6.004  VISA         CH[V @Chan]:OFFS 825E-3
  6.005  5800         650.0mV                                        S6 S
  6.006  WAIT         -t 4 Settling...
  6.007  TARGET       -m
  6.008  VISA         MEASU:MEAS1:VAL?[I]
  6.009  MATH         MEM = MEM / 1E-3
  6.010  MEMCX        650.0mV        17.6U

  7.001  HEAD         -2 50 mV delta
  7.002  TARGET       -p
  7.003  TSET         TDESC = 50 mV/div, 350 mV Delta
  7.004  TARGET       -m
  7.005  VISA         CH[V @Chan]:SCA 50E-3;INV OFF;BAN FUL;OFFS 0
  7.006  VISA         CH[V @Chan]:OFFS 825E-3
  7.007  5800         1.0000V                                        S6 S
  7.008  WAIT         -t 4 Settling...
  7.009  VISA         MEASU:MEAS1:VAL?[I]
  7.010  MATH         L[1] = MEM / 1E-3
  7.011  VISA         CH[V @Chan]:SCA 50E-3;INV OFF;BAN FUL;OFFS 0
  7.011  VISA         CH[V @Chan]:OFFS 825E-3
  7.012  5800         650.0mV                                        S6 S
  7.013  WAIT         -t 4 Settling...
  7.014  VISA         MEASU:MEAS1:VAL?[I]
  7.015  MATH         MEM = MEM / 1E-3
  7.016  MATH         MEM = ABS(L[1] - MEM)
  7.017  MEMCX        350.0mV        9.5U

  8.001  HEAD         -2 90 mV/div
  8.002  TARGET       -p
  8.003  TSET         TDESC = 90 mV/div, -315 mV input
  8.004  VISA         CH[V @Chan]:SCA 90E-3;INV OFF;BAN FUL;OFFS 0
  8.005  5800         -315.0mV                                       S6 S
  8.006  WAIT         -t 10 Settling...
  8.007  TARGET       -m
  8.008  VISA         MEASU:MEAS1:VAL?[I]
  8.009  MATH         MEM = MEM / 1E-3
  8.010  MEMCX        -315.0mV       24.3U

  9.001  HEAD         -2 200 mV/div
  9.002  TARGET       -p
  9.003  TSET         TDESC = 200 mV/div, 10 V input

  9.004  IF           @Bandwidth == 100E+6
  9.005  VISA         CH[V @Chan]:SCA 200E-3;INV OFF;BAN FUL;OFFS 9.3
  9.006  ELSE
  9.007  VISA         CH[V @Chan]:SCA 200E-3;INV OFF;BAN ONEF;OFFS 9.3
  9.008  ENDIF

  9.009  5800         10.000V                                        S6 S
  9.010  WAIT         -t 10 Settling...
  9.011  TARGET       -m
  9.012  VISA         MEASU:MEAS1:VAL?[I]
  9.013  MEMCX        10.000V        0.100U

 10.001  HEAD         -2 1 V/div
 10.002  TARGET       -p
 10.003  TSET         TDESC = 1 V/div, -10 V input

 10.004  IF           @Bandwidth == 100E+6
 10.005  VISA         CH[V @Chan]:SCA 1;INV ON;BAN FUL;OFFS -6.5
 10.006  ELSE
 10.007  VISA         CH[V @Chan]:SCA 1;INV ON;BAN ONEF;OFFS -6.5
 10.008  ENDIF

 10.009  5800         10.000V                                        S6 S
 10.010  WAIT         -t 10 Settling...
 10.011  TARGET       -m
 10.012  VISA         MEASU:MEAS1:VAL?[I]
 10.013  TOL          -0.300U +0.302U
 10.014  MEMCX        -10.000V       TOL

 11.001  HEAD         -2
 11.002  HEAD
 11.003  5800         *                                                 S
 11.004  END

 11.005  EVAL   Increment step number

# ********************** BANDWIDTH ************************************

 12.001  LABEL        BANDWIDTH
 12.002  HEAD         BANDWIDTH (CH [V @Chan]): 100 mV/div

 12.003  IF           @Chan == 1
 12.004  RSLT         =
 12.005  RSLT         =BANDWIDTH
 12.006  ENDIF

 12.007  RSLT         =
 12.008  RSLT         =Channel [V @Chan]
 12.009  TARGET
 12.010  VISA         ACQUIRE:MODE AVERAGE;NUMAVG 16
 12.011  VISA         TRIG:A:EDGE:SOURCE VERT;COUP NOISE
 12.012  VISA         HOR:SCA 10E-6
 12.013  VISA         CH[V @Chan]:COUP DC;IMP FIFTY;SCA 100E-3
 12.014  VISA         MEASU:MEAS1:SOURCE1 CH[V @Chan];TYP PK2;STATE ON

# Set the output of the calibrator so the peak-to-peak measurement is
# between 599 mV and 601 mV.
 12.015  MATH         MEM = 600; MEM1 = MEM

 12.016  DO
 12.017  MATH         MEM = MEM1 + (600 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 12.018  IF           MEM > 5800 || MEM < 5
 12.019  MATH         MEM = 600
 12.020  ENDIF

 12.021  5800         mVpp                         50kH           LS S6 S  L
 12.022  WAIT         [D1000]
 12.023  VISA         MEASU:MEAS1:VAL?[I]
 12.024  MATH         MEM = MEM / 1E-3
 12.025  UNTIL        (MEM >= 599) && (MEM <= 601)

# Last calibrator amplitude setting is in MEM1.
 12.026  MATH         MEM = MEM1
 12.027  VISA         HOR:SCA 10E-9

 12.028  IF           @Bandwidth == 100E+6
 12.029  VISA         HOR:SCA 10E-9
 12.030  5800         mVpp                         100MH          LS S6 S  L
 12.031  ELSEIF       @Bandwidth == 200E+6
 12.032  VISA         HOR:SCA 5E-9
 12.033  5800         mVpp                         200MH          LS S6 S  L
 12.034  ELSEIF       @Bandwidth == 300E+6
 12.035  VISA         HOR:SCA 2E-9
 12.036  5800         mVpp                         300MH          LS S6 S  L
 12.037  ELSEIF       @Bandwidth == 400E+6
 12.038  VISA         HOR:SCA 2E-9
 12.039  5800         mVpp                         400MH          LS S6 S  L
 12.040  ELSEIF       @Bandwidth == 500E+6
 12.041  VISA         HOR:SCA 1E-9
 12.042  5800         mVpp                         500MH          LS S6 S  L
 12.043  ELSEIF       @Bandwidth == 600E+6
 12.044  VISA         HOR:SCA 1E-9
 12.045  5800         mVpp                         600MH          LS S6 S  L
 12.046  ENDIF

 12.047  WAIT         -t 5 System settling...
 12.048  VISA         MEASU:MEAS1:VAL?[I]
 12.049  MATH         MEM = MEM / 1E-3
 12.050  MATH         RstStr = FMT(MEM, "%.1f") & " mVpp"
 12.051  MATH         RstStr = " Bound >= 425 mVpp, result: " & RstStr
 12.052  EVAL   -e MEM >= 425 : [V RstStr]

 13.001  HEAD
 13.002  5800         *                                                 S
 13.003  END

 13.004  EVAL   Increment step number

# ********************** TRIGGER_FULL_BW ****************************

 14.001  LABEL        TRIGGER_FULL_BW
 14.002  HEAD         TRIGGER SENS AT FULL BW (CH [V @Chan])

 14.003  IF           @Chan == 1
 14.004  RSLT         =
 14.005  RSLT         =TRIGGER SENSITIVITY AT FULL BANDWIDTH
 14.006  ENDIF

 14.007  RSLT         =
 14.008  RSLT         =Channel [V @Chan]
 14.009  HEAD         -2 RISING SLOPE
 14.010  TARGET
 14.011  VISA         ACQUIRE:MODE AVERAGE;NUMAVG 16
 14.012  VISA         TRIG:A:EDGE:SOURCE VERT
 14.013  VISA         HOR:SCA 10E-9
 14.014  VISA         CH[V @Chan]:IMP FIFTY;SCA 500E-3
 14.015  VISA         MEASU:MEAS1:SOURCE1 CH[V @Chan];TYP PK2;STATE ON

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV.
 14.016  MATH         MEM = 2500; MEM1 = MEM

 14.017  DO
 14.018  MATH         MEM = MEM1 + (2500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 14.019  IF           MEM > 5800 || MEM < 5
 14.020  MATH         MEM = 2500
 14.021  ENDIF

 14.022  IF           @Bandwidth == 100E+6
 14.023  5800         mVpp                         100MH          LS S6 S  L
 14.024  ELSEIF       @Bandwidth == 200E+6
 14.025  5800         mVpp                         200MH          LS S6 S  L
 14.026  ELSEIF       @Bandwidth == 300E+6
 14.027  5800         mVpp                         300MH          LS S6 S  L
 14.028  ELSEIF       @Bandwidth == 400E+6
 14.029  5800         mVpp                         400MH          LS S6 S  L
 14.030  ELSEIF       @Bandwidth == 500E+6
 14.031  5800         mVpp                         500MH          LS S6 S  L
 14.032  ELSEIF       @Bandwidth == 600E+6
 14.033  5800         mVpp                         600MH          LS S6 S  L
 14.034  ENDIF

 14.035  MATH         CalVal = MEM1

 14.036  WAIT         [D1000]
 14.037  VISA         MEASU:MEAS1:VAL?[I]
 14.038  MATH         MEM = MEM / 1E-3
 14.039  UNTIL        (MEM >= 2445) && (MEM <= 2505)

 14.040  MATH         MEM = CalVal / 5

 14.041  IF           @Bandwidth == 100E+6
 14.042  5800         mVpp                         100MH          LS S6 S  L
 14.043  ELSEIF       @Bandwidth == 200E+6
 14.044  5800         mVpp                         200MH          LS S6 S  L
 14.045  ELSEIF       @Bandwidth == 300E+6
 14.046  5800         mVpp                         300MH          LS S6 S  L
 14.047  ELSEIF       @Bandwidth == 400E+6
 14.048  5800         mVpp                         400MH          LS S6 S  L
 14.049  ELSEIF       @Bandwidth == 500E+6
 14.050  5800         mVpp                         500MH          LS S6 S  L
 14.051  ELSEIF       @Bandwidth == 600E+6
 14.052  5800         mVpp                         600MH          LS S6 S  L
 14.053  ENDIF

 14.054  MATH         CalOutVal = MEM1
 14.055  VISA         MEASU:MEAS1:VAL?[I]
 14.056  MATH         @PeakVal = MEM / 2
 14.057  CALL         Sub Tek TDS3000 Trigger Check and Level Adjust VISA
 14.058  EVAL   -e @Triggered : Rising Slope, Stable Trigger

 15.001  HEAD         -2 FALLING SLOPE
 15.002  TARGET
 15.003  VISA         TRIGGER:A:EDGE:SLOPE FALL
 15.004  MATH         MEM = CalOutVal

 15.005  IF           @Bandwidth == 100E+6
 15.006  5800         mVpp                         100MH          LS S6 S  L
 15.007  ELSEIF       @Bandwidth == 200E+6
 15.008  5800         mVpp                         200MH          LS S6 S  L
 15.009  ELSEIF       @Bandwidth == 300E+6
 15.010  5800         mVpp                         300MH          LS S6 S  L
 15.011  ELSEIF       @Bandwidth == 400E+6
 15.012  5800         mVpp                         400MH          LS S6 S  L
 15.013  ELSEIF       @Bandwidth == 500E+6
 15.014  5800         mVpp                         500MH          LS S6 S  L
 15.015  ELSEIF       @Bandwidth == 600E+6
 15.016  5800         mVpp                         600MH          LS S6 S  L
 15.017  ENDIF

 15.018  VISA         MEASU:MEAS1:VAL?[I]
 15.019  MATH         @PeakVal = MEM / 2
 15.020  CALL         Sub Tek TDS3000 Trigger Check and Level Adjust VISA
 15.021  EVAL   -e @Triggered : Falling Slope, Stable Trigger

 16.001  HEAD         -2
 16.002  HEAD
 16.003  5800         *                                                 S
 16.004  END

 16.005  EVAL   Increment step number

# ********************** TRIGGER_50MHZ ********************************

 17.001  LABEL        TRIGGER_50MHz
 17.002  HEAD         TRIGGER SENS AT 50 MHz (CH [V @Chan])

 17.003  IF           @Chan == 1
 17.004  RSLT         =
 17.005  RSLT         =TRIGGER SENSITIVITY AT 50 MHz
 17.006  ENDIF

 17.007  RSLT         =
 17.008  RSLT         =Channel [V @Chan]
 17.009  HEAD         -2 RISING SLOPE
 17.010  TARGET
 17.011  VISA         ACQUIRE:MODE AVERAGE;NUMAVG 16
 17.012  VISA         TRIG:A:EDGE:SOURCE VERT
 17.013  VISA         HOR:SCA 100E-9
 17.014  VISA         CH[V @Chan]:IMP FIFTY;SCA 500E-3
 17.015  VISA         MEASU:MEAS1:SOURCE1 CH[V @Chan];TYP PK2;STATE ON

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV.
 17.016  MATH         MEM = 3000; MEM1 = MEM

 17.017  DO
 17.018  MATH         MEM = MEM1 + (3000 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 17.019  IF           MEM > 5800 || MEM < 5
 17.020  MATH         MEM = 3000
 17.021  ENDIF

 17.022  5800         mVpp                         50MH           LS S6 S  L
 17.023  MATH         CalVal = MEM1
 17.024  WAIT         [D1000]
 17.025  VISA         MEASU:MEAS1:VAL?[I]
 17.026  MATH         MEM = MEM / 1E-3
 17.027  UNTIL        (MEM >= 2995) && (MEM <= 3005)

 17.028  MATH         MEM = CalVal / 10
 17.029  5800         mVpp                         50MH           LS S6 S  L
 17.030  MATH         CalOutVal = MEM1
 17.031  VISA         MEASU:MEAS1:VAL?[I]
 17.032  MATH         @PeakVal = MEM / 2
 17.033  CALL         Sub Tek TDS3000 Trigger Check and Level Adjust VISA
 17.034  EVAL   -e @Triggered : Rising Slope, Stable Trigger

 18.001  HEAD         -2 FALLING SLOPE
 18.002  TARGET
 18.003  VISA         TRIGGER:A:EDGE:SLOPE FALL
 18.004  MATH         MEM = CalOutVal
 18.005  5800         mVpp                         50MH           LS S6 S  L
 18.006  VISA         MEASU:MEAS1:VAL?[I]
 18.007  MATH         @PeakVal = MEM / 2
 18.008  CALL         Sub Tek TDS3000 Trigger Check and Level Adjust VISA
 18.009  EVAL   -e @Triggered : Falling Slope, Stable Trigger

 19.001  HEAD         -2
 19.002  HEAD
 19.003  5800         *                                                 S
 19.004  END

 19.005  EVAL   Increment step number

# ********************** SAMPLE RATE ************************************

 20.001  LABEL        SAMPLE_RATE
 20.002  RSLT         =
 20.003  RSLT         =SAMPLE RATE AND DELAY TIME ACCURACY
 20.004  TARGET
 20.005  VISA         HOR:DELAY:STATE OFF
 20.006  VISA         CH1:IMP FIFTY;SCA 500E-3
 20.007  VISA         HOR:SCA 20E-3
 20.008  5800         100mT                                       M2 S6 S  L
 20.009  WAIT         [D1000]
 20.010  VISA         HOR:TRIG:POS 50
 20.011  VISA         HOR:DELAY:STATE ON;TIME 100E-3
 20.012  VISA         HOR:SCA 1E-6
 20.013  VISA         TRIG:A:SETL
 20.014  MESS         Does the rising edge of the marker cross the center
 20.014  MESS         horizontal graticule line within ±2 divisions of
 20.014  MESS         center graticule?
 20.015  MEM2         = Limit : ±2 div @1 µs/div, 100 ms delay time
 20.016  EVAL   -s MEM2 :

 21.001  MESS
 21.002  HEAD
 21.003  5800         *                                                 S
 21.004  END
